Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.tcp.sampler
Class ReadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.jmeter.protocol.tcp.sampler.ReadException

All Implemented Interfaces:
  Serializable

    public class ReadException

extends Exception

Exception that contains partial response (Text read until exception occured)

See Also:
  Serialized Form

Constructor Summary
`ReadException()` Deprecated. For use by test code only (serialisation tests)
`ReadException(String message, Throwable cause, String partialResponse)` Constructor

Method Summary
`String` | `getPartialResponse()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadException

    @Deprecated
    public ReadException()

  Deprecated. For use by test code only (serialisation tests)

### ReadException

    public ReadException(String message,
                         Throwable cause,
                         String partialResponse)

  Constructor

  Parameters:
    `message` - Message
    `cause` - Source cause
    `partialResponse` - Text read until error occured

Method Detail

### getPartialResponse

    public String getPartialResponse()

  Returns:
    the partialResponse Text read until error occured

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.